# DescribeAzureVlanUsage

## 1. API Description

This API is used to query VLAN usage of the Azure Cloud access point.

## 2. Input Parameters

The following request parameter list only provides API request parameters.

<table><thead><tr><th width="195">Parameter Name</th><th width="120">Required</th><th width="104">Type</th><th>Description</th></tr></thead><tbody><tr><td>dcId</td><td>Yes</td><td>String</td><td>Data center ID of the access point.</td></tr><tr><td>pairingKey</td><td>Yes</td><td>String</td><td>Azure Cloud Account ID.</td></tr></tbody></table>

## 3. Output Parameters

<table><thead><tr><th width="197">Parameter Name</th><th width="173">Required</th><th>Description</th></tr></thead><tbody><tr><td>requestId</td><td>String</td><td>The unique request ID, which is returned for each request. RequestId is required for locating a problem.</td></tr><tr><td>start</td><td>Integer</td><td>Start value of available VLANs.</td></tr><tr><td>end</td><td>Integer</td><td>End value of available VLANs.</td></tr><tr><td>usedVlans</td><td>Array of Integer</td><td>Used VLAN list.</td></tr></tbody></table>

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**Query VLAN usage of Azure Cloud access point according to Azure Cloud service key.**

```json
POST /api/v2/sdn HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribeAzureVlanUsage
<Common Request Params>

Request：
{
   "pairingKey": "xxxxxxxxxxxxx/asia-southeast1/1"
}

Response：
{   
  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
  "response": {
    "requestId":"T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
    "usedVlans":[
        1024,
        1025,
        2,
        1026,
        1027
    ],
    "start":2,
    "end":4000
  }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](https://docs.console.zenlayer.com/api-reference/api-introduction/toolkit/api-sdk) to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

No error codes related to the API business logic. For other error codes, see [Common Error Codes](https://docs.console.zenlayer.com/api-reference/api-introduction/instruction/commonerrorcode).​
